### Hierarchy

- XmlComponent
  - Document

## Index

### Constructors

- constructor

### Accessors

- Body
- IsDeleted

### Methods

- addChildElement
- addParagraph
- addTable
- addTableOfContents
- createParagraph
- createTable
- delete
- getParagraphs
- getTablesOfContents
- prepForXml

## Constructors

### constructor

- new Document(sectionPropertiesOptions?: SectionPropertiesOptions): Document

- Overrides XmlComponent.constructor

  - Defined in file/document/document.ts:11

  #### Parameters

  - ##### Optional sectionPropertiesOptions: SectionPropertiesOptions

  #### Returns Document

## Accessors

### Body

- get Body(): Body

- - Defined in file/document/document.ts:67

  #### Returns Body

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addParagraph

- addParagraph(paragraph: Paragraph): Document

- - Defined in file/document/document.ts:40

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns Document

### addTable

- addTable(table: Table): Document

- - Defined in file/document/document.ts:56

  #### Parameters

  - ##### table: Table

  #### Returns Document

### addTableOfContents

- addTableOfContents(toc: TableOfContents): Document

- - Defined in file/document/document.ts:45

  #### Parameters

  - ##### toc: TableOfContents

  #### Returns Document

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/document/document.ts:50

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/document/document.ts:61

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### getParagraphs

- getParagraphs(): Paragraph[]

- - Defined in file/document/document.ts:75

  #### Returns Paragraph[]

### getTablesOfContents

- getTablesOfContents(): TableOfContents[]

- - Defined in file/document/document.ts:71

  #### Returns TableOfContents[]

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

Generated using TypeDoc